QGIS Application - Bug report #1391
Unique Value classification: problems with symbology of features
2008-11-11 06:14 AM - pls -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupts data: Copied to github as #: 11451
Description

Hello!

In the vector layer properties dialog it is possible to change the values of the attributes | chose for a Unique Value classification; this is
particularly useful if you have non-meaningful values names in the attribute field used for the classification. The problem is, when the
modification is applied to the layer, all the points pertaining to the modified value's class disappear from the layer.

History

#1 - 2009-07-10 05:22 AM - Giovanni Manghi

| confirm this with qgis 1.2 from trunk under both Ubuntu 9.04 and Win XP. Tested with both shapefiles and postgis layers.

To more precise:

*) with points -> the point disappear

*) with lines -> the line "loses" the style options (colour included) and in the map canvas is rendered with a standard width (0.26?) and colour (seems blue

to me).

*) with polygons -> the outline and the fill colour/style "lose" the style options and in the map canvas is rendered with a standard outline width (0.267),
outline colour (black?) and fill colour (purple?).

As in the first case features are deleted from the map canvas | would say that this bug causes data corruption. Change the priority if you feel that is too

exaggerated.

#2 - 2009-07-10 08:09 AM - Jiirgen Fischer
- Resolution set to worksforme
- Status changed from Open to Closed

Replying to pls:

In the vector layer properties dialog it is possible to change the values of the attributes | chose for a Unique Value classification; this is particularly
useful if you have non-meaningful values names in the attribute field used for the classification. The problem is, when the modification is applied to
the layer, all the points pertaining to the modified value's class disappear from the layer.

You probably edited the attribute values instead of adding a description on the right.
Changing the value means that you want features with the value you enter in the classification field to look like the features with the original value looked

like. Moreover you don't loose the class for the original value and therefore those features won't be rendered anymore.

Editing the is meant to add classes that do not yet have features for.

BTW commit:29450dcd (SVN r10987) adds a default class that renders classless features.

I'm not sure if | understood your problem correctly. Feel free to reopen, if | didn't.

#3 - 2009-07-10 08:34 AM - Giovanni Manghi

Replying to [comment:2 jef]:

You probably edited the attribute values instead of adding a description on the right.

Changing the value means that you want features with the value you enter in the classification field to look like the features with the original value

looked like. Moreover you don't loose the class for the original value and therefore those features won't be rendered anymore.

Editing the is meant to add classes that do not yet have features for.

BTW commit:29450dcd (SVN r10987) adds a default class that renders classless features.

I'm not sure if | understood your problem correctly. Feel free to reopen, if | didn't.

Ok | got it.

But then | have a question.

Have a look to the attached image, it is right what I'm seeing? | mean, is right to see repeated twice in the legend the value of the classification AND the
description | give in the "label" field?

#4 - 2009-07-10 10:28 AM - Jiirgen Fischer

Replying to [comment:3 lutra]:

Have a look to the attached image, it is right what I'm seeing? | mean, is right to see repeated twice in the legend the value of the classification AND

the description I give in the "label" field?

Right, the symbol have lower and upper bounds. Obviously that doesn't make to much sense for unique values. Fixed in

Files

Screenshot-3.png 224 KB 2009-07-10 Giovanni Manghi
